Subject: Re: Shaolin Secure FTP v0.98 Beta 3
From: "Robert Collins" <[email-masked]>
To: "Joseph S. Testa" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 6 Jul 2002 16:30:03 +1000

----- Original Message -----
From: "Joseph S. Testa" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, July 06, 2002 2:40 AM

> > Moreover, having multiple copies of
> > cygwin1.dll is almost certain to cause problems.
> >
> > I am particularly puzzled that you felt the need to include
> > cygwin1.dll and mount.exe since you require a pre-existing Cygwin
> > installation with OpenSSH. Wouldn't it be better to get the location
> > of /usr/bin information from the Registry (or better yet, allow the
> > user to specify the location of sftp.exe)?
>
> Shaolin is supposed to be a fully-packaged, ready-to-go piece of
> software.  The other releases included OpenSSH, Cygwin, and everything
> else needed.
>
> However, since restarting development on it recently, I've ran into
> some issues with doing that, so for now, its only meant to be used by
> Cygwin users.  Since all the underlying framework still expects there
> to be no pre-installed Cygwin, I had to at least include cygwin1.dll
> and mount.exe just to make things happy.
>
> Everything will be OK by v1.0.

If you are going to include cygwin1.dll there are three basic routes you may
take.
1) Install a cygwin1.dll in your app directory, and hope no cygwin user uses
your app.
2) Rebuild cygwin with a different dll name and shared memory name, and link
your apps against that. Oh, and include all the sources :} (grin).
3) Leverage cygwin net installer 'setup.exe' and install a fully
cywin-compatible environment automagically. You can even fork the installer
(as long as you track the cygwin-apps list for backwards-incompatible
changes (which are very rare BTW)). Your users will pickup the required
packages from your site, and if they are already cygwin users, would only
download the minimum requirements from you (i.e. just your .exe). If they
aren't cygwin users, then they'd download cygwin1.dll and so forth from you.

The options are in order of least to greatest ease - in my mind.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/